> ## Documentation Index
> Fetch the complete documentation index at: https://www.fastforex.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange Rate Time-Series

> Fetch a time-series dataset of daily currency exchange rates for the specified interval (only daily supported currently). See our FX quote & OHLC time-series endpoints for more granular data.



## OpenAPI

````yaml get /time-series
openapi: 3.0.3
info:
  title: fastFOREX.io
  version: 2.3.2
  description: Foreign & cryptocurrency exchange rate API
  termsOfService: https://www.fastforex.io/terms-of-sale
  contact:
    email: support@fastforex.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.fastforex.io
    description: Production
  - url: https://api.beta.fastforex.io
    description: Beta
security:
  - api_key: []
  - apiKeyHeader: []
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: currency
    description: Physical currencies, rates and conversions
  - name: crypto
    description: Digital currencies, pairs & prices
  - name: fx
    description: Realtime FX trading pairs - instruments, prices and history
  - name: admin
    description: Account admin
  - name: plan-one
    description: Available on The One Plan
  - name: plan-extra
    description: Available on The Extra Plan
  - name: plan-premium
    description: Available on The Premium Plan
externalDocs:
  description: Find out more about fastFOREX.io
  url: https://www.fastforex.io
paths:
  /time-series:
    get:
      tags:
        - currency
        - plan-one
        - plan-extra
        - plan-premium
      description: >-
        Fetch a time-series dataset of daily currency exchange rates for the
        specified interval (only daily supported currently). See our FX quote &
        OHLC time-series endpoints for more granular data.
      parameters:
        - name: from
          in: query
          description: Base currency 3-letter symbol, defaults to USD
          required: false
          allowEmptyValue: true
          schema:
            $ref: '#/components/schemas/Currency'
        - name: to
          in: query
          description: Target currency 3-letter symbol
          required: true
          schema:
            $ref: '#/components/schemas/Currency'
        - name: start
          in: query
          description: >-
            UTC start date in YYYY-MM-DD format. As far back as Jan 1970,
            depending on the currency pair.
          required: true
          schema:
            $ref: '#/components/schemas/Date'
        - name: end
          in: query
          description: >-
            UTC end date in YYYY-MM-DD format. As far back as Jan 1970,
            depending on the currency pair.
          required: true
          schema:
            $ref: '#/components/schemas/Date'
        - name: interval
          in: query
          description: >-
            ISO8601 duration, such as P1D (daily). Defaults to P1D. Currently
            only supports daily.
          required: false
          schema:
            $ref: '#/components/schemas/Duration'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  start:
                    $ref: '#/components/schemas/Date'
                  end:
                    $ref: '#/components/schemas/Date'
                  interval:
                    $ref: '#/components/schemas/Duration'
                  base:
                    $ref: '#/components/schemas/Currency'
                  ms:
                    $ref: '#/components/schemas/ResponseTime'
                  results:
                    type: object
                    minProperties: 1
                    additionalProperties:
                      type: number
                      format: float
              example:
                start: '2021-01-24'
                end: '2021-01-30'
                interval: P1D
                base: USD
                results:
                  GBP:
                    '2021-01-24': 1.14
                    '2021-01-25': 1.14
                    '2021-01-26': 1.15
                    '2021-01-27': 1.16
                    '2021-01-28': 1.14
                    '2021-01-29': 1.13
                    '2021-01-30': 1.14
        '400':
          description: Bad Request
        '401':
          description: Not Authorized
        '403':
          description: Forbidden
        '429':
          description: Rate limit exceeded
components:
  schemas:
    Currency:
      type: string
      pattern: '[A-Z]{3}'
      description: Three-letter ISO 4217 currency code
    Date:
      type: string
      pattern: '[0-9]{4}-[0-9]{2}-[0-9]{2}'
      description: UTC/GMT date YYYY-MM-DD
    Duration:
      type: string
      description: ISO8601 Duration. https://en.wikipedia.org/wiki/ISO_8601#Durations
    ResponseTime:
      type: number
      format: int32
      description: Server response time in milliseconds
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: query
    apiKeyHeader:
      type: apiKey
      name: X-API-KEY
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: api_key
    basicAuth:
      type: http
      scheme: basic

````